Class | Merb::Rack::Static
In: | lib/merb-core/rack/middleware/static.rb
Parent: | Merb::Rack::Middleware

### Methods

call file_exist? new serve_static

### Public Class methods

new(app,directory)

:api: private

### Public Instance methods

call(env)

:api: plugin

file_exist?(path)

#### Parameters

path<String>: | The path to the file relative to the server root.

#### Returns

Boolean: | True if file exists under the server root and is readable.

:api: private

serve_static(env)

#### Parameters

env<Hash>: | Environment variables to pass on to the server.

:api: private

[Validate]